%bcond_with tests

Name: python-beaker
Version: 1.11.0
Release: 2
Summary: A web session and general caching library.
License: BSD and MIT
URL: http://beaker.readthedocs.io
Source0: https://github.com/bbangert/beaker/archive/%{version}/beaker-%{version}.tar.gz

Patch6000: beaker-use-system-paste.patch
BuildArch: noarch

BuildRequires:   %{_bindir}/redis-server  %{_bindir}/netstat git

%global _description\
Beaker is a caching library that includes Session and Cache objects\
built on Myghty's Container API used in MyghtyUtils. WSGI middleware\
is also included to manage Session objects and signed cookies.

%description %_description


%package -n python3-beaker
Summary: %summary
BuildRequires: python3-devel python3dist(cryptography) python3dist(funcsigs) python3dist(mock)
BuildRequires: python3dist(paste) python3dist(pycrypto)
BuildRequires: python3dist(redis) python3dist(setuptools) python3dist(sqlalchemy)
%if %{with tests}
BuildRequires: python3dist(webtest)
%endif

Requires: python3dist(paste)
Recommends: python3dist(cryptography) python3dist(pycrypto) python3dist(pycryptodome) python3dist(pycryptopp)

%{?python_provide:%python_provide python3-beaker}

%description -n python3-beaker 
%_description


%prep
%autosetup -n beaker-%{version} -p1 -Sgit

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
redis-server &

rm -rf /tmp/beaker-tests
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m nose -v

kill %1
%endif

%files -n python3-beaker
%license LICENSE
%doc README.* CHANGELOG
%{python3_sitelib}/beaker/
%{python3_sitelib}/Beaker*

%changelog
* Sat Jan 08 2022 renhongxun <renhongxun@huawei.com> - 1.11.0-2
- remove python3-nose

* Tue Feb 2 2021 wangjie<wangjie294@huawei.com> -1.11.0-1
- upgrade 1.11

* Sat Dec 12 2020 tianwei <tianwei12@huawei.com> - 1.10.0-6
- remove mongod

* Wed Aug 5 2020 tianwei <tianwei12@huawei.com> - 1.10.0-5
- delete python2.

* Thu Nov 21 2019 fangyufa <fangyufa1@huawei.com> - 1.10.0-4
- add buildrequires of git for x86_64 build

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 1.10.0-3
- disable webtest

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10.0-2
- Type:NA
- ID:NA
- SUG:NA
- DESC:Package Init
